# PetscSetDebugger

Sets options associated with the debugger.

### Synopsis

    #include "petsc.h"
    #include "petscsys.h"
    PetscErrorCode  PetscSetDebugger(const char debugger[],PetscTruth xterm)

Not Collective

### Input Parameters

| debugger | - name of debugger, which should be in your path, usually "dbx", "gdb", "idb", "xxgdb" or "ddd". Also, HP-UX supports "xdb", and IBM rs6000 supports "xldb".

| xterm | - flag to indicate debugger window, set to either 1 (to indicate debugger should be started in a new xterm) or 0 (to start debugger in initial window (the option 0 makes no sense when using more than one processor.)

### Fortran Note

This routine is not supported in Fortran.

### See Also

PetscAttachDebugger(), PetscAttachDebuggerErrorHandler()

Level:developer
Location: src/sys/error/adebug.c
Index of all Sys routines
Table of Contents for all manual pages
Index of all manual pages